﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using HeuristicLab.Core.Views;
using HeuristicLab.MainForm;
using HeuristicLab.PDPSimulation.DomainModel;
using HeuristicLab.Optimization.Views;

namespace HeuristicLab.PDPSimulation.Views {
  [View("PickupDeliveryScenario View")]
  [Content(typeof(PickupDeliveryScenario), true)]
  public partial class PickupDeliveryScenarioView : ProblemView {
    public new PickupDeliveryScenario Content {
      get { return (PickupDeliveryScenario)base.Content; }
      set { base.Content = value; }
    }

    public PickupDeliveryScenarioView() {
      InitializeComponent();
    }

    private void importButton_Click(object sender, System.EventArgs e) {
      OpenFileDialog dlg = new OpenFileDialog();
      dlg.Filter = "dynamic PDP files (*.dpd)|*.dpd|dynamic PDP files - TSPLib (*.pdp*)|*.pdp";

      if (dlg.ShowDialog() == DialogResult.OK) {
        if (dlg.FilterIndex == 1)
          Content.ImportFromDynPDP(dlg.FileName);
        else
          Content.ImportFromDynTSPLib(dlg.FileName);
      }
    }
  }
}
